Holger's Java API

## com.antelmann.db
Interface LoginListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  AbstractDatabase, GDB, LoggerLoginListener, LoginListener.Adapter, OpenGeoDB, SQLDatabase, SQLFactoryDatabase

    public interface LoginListener

extends EventListener

listens to events associated with a UserLoginStore

Author:
  Holger Antelmann
See Also:
  `UserLoginStore`

Nested Class Summary
`static class` `LoginListener.Adapter`

Method Summary
`void` `failedLogin(UserLoginStore uls, String location, Exception exception)` called when a login was either canceled or failed due to an exception
`void` `loginPerformed(UserLoginStore uls, User user, String location)` called when a user logged into the store
`void` `logoutPerformed(UserLoginStore uls, User user)` called when a user logged out

Method Detail

### loginPerformed

    void loginPerformed(UserLoginStore uls,
                        User user,
                        String location)

  called when a user logged into the store

### logoutPerformed

    void logoutPerformed(UserLoginStore uls,
                         User user)

  called when a user logged out

### failedLogin

    void failedLogin(UserLoginStore uls,
                     String location,
                     Exception exception)

  called when a login was either canceled or failed due to an exception

  Parameters:
    `location` - denotes where the event occurred
    `exception` - is commonly either a `DatabaseException` or a `FailedLoginException`
  See Also:
    `DatabaseException`, `FailedLoginException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads